Subject: Re: Apparent bug in git-gc

From: Jeff King <[email-masked]>
Date: Mon, 15 Sep 2014 20:30:47 -0400

On Mon, Sep 15, 2014 at 07:34:03PM -0400, Dale R. Worley wrote:

> I have an 11 GB repository.  It passes git-fsck (though with a number
> of dangling objects).  But when I run git-gc on it, the file
> refs/heads/master disappears.

That's the expected behavior. Gc runs "git pack-refs", which puts an
entry into packed-refs and prunes the loose ref.

> Since HEAD points to refs/heads/master, this makes the repository
> unusable.

Unusable how?  Does `git rev-parse refs/heads/master` still produce a
sha1? Does `git rev-parse HEAD`? If not, then that is definitely a bug.

-Peff